GroovyParser.ShiftExprAltContext (Groovy 3.0.7)

Package org.apache.groovy.parser.antlr4

## Class GroovyParser.ShiftExprAltContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
      - - org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext
        - - org.apache.groovy.parser.antlr4.GroovyParser.ShiftExprAltContext

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`
  Enclosing class:
    GroovyParser

      public static class GroovyParser.ShiftExprAltContext
      extends GroovyParser.ExpressionContext

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.antlr.v4.runtime.Token` | `dgOp` |
    `org.antlr.v4.runtime.Token` | `dlOp` |
    `GroovyParser.ExpressionContext` | `left` |
    `org.antlr.v4.runtime.Token` | `rangeOp` |
    `GroovyParser.ExpressionContext` | `right` |
    `org.antlr.v4.runtime.Token` | `tgOp` |

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShiftExprAltContext​(GroovyParser.ExpressionContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
    `List<? extends GroovyParser.ExpressionContext>` | `expression()` |
    `GroovyParser.ExpressionContext` | `expression​(int i)` |
    `List<? extends org.antlr.v4.runtime.tree.TerminalNode>` | `GT()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `GT​(int i)` |
    `List<? extends org.antlr.v4.runtime.tree.TerminalNode>` | `LT()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `LT​(int i)` |
    `List<? extends GroovyParser.NlsContext>` | `nls()` |
    `GroovyParser.NlsContext` | `nls​(int i)` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `RANGE_EXCLUSIVE()` |
    `org.antlr.v4.runtime.tree.TerminalNode` | `RANGE_INCLUSIVE()` |

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.ExpressionContext

      `copyFrom, getRuleIndex`

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

      `getMetaDataMap, setMetaDataMap`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Field Detail

    - #### left

          public GroovyParser.ExpressionContext left

    - #### dlOp

          public org.antlr.v4.runtime.Token dlOp

    - #### tgOp

          public org.antlr.v4.runtime.Token tgOp

    - #### dgOp

          public org.antlr.v4.runtime.Token dgOp

    - #### rangeOp

          public org.antlr.v4.runtime.Token rangeOp

    - #### right

          public GroovyParser.ExpressionContext right

  - ### Constructor Detail

    - #### ShiftExprAltContext

          public ShiftExprAltContext​(GroovyParser.ExpressionContext ctx)

  - ### Method Detail

    - #### nls

          public List<? extends GroovyParser.NlsContext> nls()

    - #### nls

          public GroovyParser.NlsContext nls​(int i)

    - #### expression

          public List<? extends GroovyParser.ExpressionContext> expression()

    - #### expression

          public GroovyParser.ExpressionContext expression​(int i)

    - #### LT

          public List<? extends org.antlr.v4.runtime.tree.TerminalNode> LT()

    - #### LT

          public org.antlr.v4.runtime.tree.TerminalNode LT​(int i)

    - #### GT

          public List<? extends org.antlr.v4.runtime.tree.TerminalNode> GT()

    - #### GT

          public org.antlr.v4.runtime.tree.TerminalNode GT​(int i)

    - #### RANGE_INCLUSIVE

          public org.antlr.v4.runtime.tree.TerminalNode RANGE_INCLUSIVE()

    - #### RANGE_EXCLUSIVE

          public org.antlr.v4.runtime.tree.TerminalNode RANGE_EXCLUSIVE()

    - #### accept

          public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)

      Specified by:
        `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
      Overrides:
        `accept` in class `org.antlr.v4.runtime.RuleContext`